org.apache.lucene.index

## Class BaseTermVectorsFormatTestCase.RandomDocument

- java.lang.Object
- - org.apache.lucene.index.BaseTermVectorsFormatTestCase.RandomDocument

Enclosing class:
  BaseTermVectorsFormatTestCase

    protected class BaseTermVectorsFormatTestCase.RandomDocument
    extends Object

### Constructor Summary

Constructors
`protected` `BaseTermVectorsFormatTestCase.RandomDocument(int fieldCount, int maxTermCount, BaseTermVectorsFormatTestCase.Options options, String[] fieldNames, String[] sampleTerms, BytesRef[] sampleTermBytes)`

### Method Summary

Methods
`Document` `toDocument()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseTermVectorsFormatTestCase.RandomDocument

    protected BaseTermVectorsFormatTestCase.RandomDocument(int fieldCount,
                                                int maxTermCount,
                                                BaseTermVectorsFormatTestCase.Options options,
                                                String[] fieldNames,
                                                String[] sampleTerms,
                                                BytesRef[] sampleTermBytes)

### Method Detail

#### toDocument

    public Document toDocument()